Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::BinaryAnimationLoader Class Reference

バイナリアニメーションローダ More...

`#include <BinaryAnimationLoader.h>`

List of all members.

## Public Member Functions
| BinaryAnimationLoader ()
| コンストラクタ
virtual | ~BinaryAnimationLoader ()
| デストラクタ
virtual void | load (const String &filePath, AnimationManager *manager)
| ロード
virtual void | load (BinaryReader *binaryReader, AnimationManager *manager)
| ロード
## Protected Member Functions
virtual void | readHeader ()
| ヘッダの読み込み
virtual void | readAnimationSet ()
| アニメーションセットの読み込み
virtual void | readCameraAnimation ()
| カメラアニメーションの読み込み
virtual void | readCameraAnimationData ()
| カメラアニメーションデータの読み込み
virtual void | readSceneNodeAnimation ()
| シーンノードアニメーションの読み込み
virtual void | readSceneNodeAnimationData ()
| シーンノードアニメーションデータの読み込み
virtual void | readCharacterModelAnimation ()
| キャラクタモデルアニメーションの読み込み
virtual void | readCharacterModelAnimationData ()
| キャラクタモデルアニメーションデータの読み込み
virtual void | readAnimationSetLink ()
| アニメーションセットリンクの読み込み
virtual void | readCameraAnimationLink ()
| カメラアニメーションリンクの読み込み
virtual void | readSceneNodeAnimationLink ()
| シーンノードアニメーションリンクの読み込み
virtual void | readCharacterModelAnimationLink ()
| キャラクタモデルアニメーションリンクの読み込み
virtual VectorInterpolator * | readVectorInterpolator ()
| ベクトル補間の読み込み
virtual VectorInterpolator * | readVectorConstantInterpolator ()
| ベクトル定数補間の読み込み
virtual VectorInterpolator * | readVectorArrayInterpolator ()
| ベクトル配列補間の読み込み
virtual VectorInterpolator * | readVectorLinearInterpolator ()
| ベクトル線形補間の読み込み
virtual RotationInterpolator * | readRotationInterpolator ()
| 回転補間の読み込み
virtual RotationInterpolator * | readRotationConstantInterpolator ()
| 回転定数補間の読み込み
virtual RotationInterpolator * | readEulerArrayInterpolator ()
| オイラー回転配列補間の読み込み
virtual RotationInterpolator * | readQuaternionArrayInterpolator ()
| 四元数回転配列補間の読み込み
virtual RotationInterpolator * | readQuaternionLinearInterpolator ()
| 四元数回転線形補間の読み込み
virtual String | readString ()
| 文字列の読み込み
virtual Vector3 | readVector3 ()
| 三次元ベクトルの読み込み
virtual Quaternion | readQuaternion ()
| 四元数の読み込み
virtual void | align ()
| アライメントを取る
## Protected Attributes
BinaryReader * | reader_
| リーダ
AnimationManager * | manager_
| アニメーションマネージャ

## Detailed Description

バイナリアニメーションローダ

Definition at line 39 of file BinaryAnimationLoader.h.

## Member Function Documentation

void Lamp::BinaryAnimationLoader::load | ( | BinaryReader * | binaryReader,
|  | AnimationManager * | manager
| ) | `[virtual]`

  | ロード Parameters:
  binaryReader | テキストリーダ
  manager | ロード先アニメーションマネージャ
Definition at line 69 of file BinaryAnimationLoader.cpp. References align(), Assert, DebugOut, Lamp::String::getBytes(), Lamp::Reader::getPosition(), Lamp::Reader::isEnd(), manager_, readAnimationSet(), readAnimationSetLink(), readCameraAnimation(), readCameraAnimationData(), readCameraAnimationLink(), readCharacterModelAnimation(), readCharacterModelAnimationData(), readCharacterModelAnimationLink(), reader_, readHeader(), Lamp::BinaryReader::readInt(), readSceneNodeAnimation(), readSceneNodeAnimationData(), readSceneNodeAnimationLink(), readString(), and Lamp::Reader::skip().

void Lamp::BinaryAnimationLoader::load | ( | const String & | filePath,
|  | AnimationManager * | manager
| ) | `[virtual]`

  | ロード Parameters:
  filePath | ファイルパス
  manager | ロード先アニメーションマネージャ
Definition at line 57 of file BinaryAnimationLoader.cpp. References ErrorOut, and Lamp::FilePath::existFile(). Referenced by Lamp::SceneFramework::loadScene().

RotationInterpolator * Lamp::BinaryAnimationLoader::readEulerArrayInterpolator | ( |  | ) | `[protected, virtual]`

| オイラー回転配列補間の読み込み Returns: オイラー回転配列補間 Definition at line 555 of file BinaryAnimationLoader.cpp. References reader_, Lamp::BinaryReader::readInt(), readVector3(), Lamp::EulerArrayInterpolator::setSize(), and Lamp::EulerArrayInterpolator::setValue(). Referenced by readRotationInterpolator().

Quaternion Lamp::BinaryAnimationLoader::readQuaternion | ( |  | ) | `[protected, virtual]`

| 四元数の読み込み Returns: 四元数 Definition at line 460 of file BinaryAnimationLoader.cpp. References Lamp::Quaternion::array, Lamp::Reader::readBytes(), and reader_. Referenced by readQuaternionArrayInterpolator(), readQuaternionLinearInterpolator(), and readRotationConstantInterpolator().

RotationInterpolator * Lamp::BinaryAnimationLoader::readQuaternionArrayInterpolator | ( |  | ) | `[protected, virtual]`

| 四元数回転配列補間の読み込み Returns: 四元数回転配列補間 Definition at line 565 of file BinaryAnimationLoader.cpp. References reader_, Lamp::BinaryReader::readInt(), readQuaternion(), Lamp::QuaternionArrayInterpolator::setSize(), and Lamp::QuaternionArrayInterpolator::setValue(). Referenced by readRotationInterpolator().

RotationInterpolator * Lamp::BinaryAnimationLoader::readQuaternionLinearInterpolator | ( |  | ) | `[protected, virtual]`

| 四元数回転線形補間の読み込み Returns: 四元数回転線形補間 Definition at line 578 of file BinaryAnimationLoader.cpp. References reader_, Lamp::BinaryReader::readFloat(), Lamp::BinaryReader::readInt(), readQuaternion(), Lamp::QuaternionLinearInterpolator::setKey(), and Lamp::QuaternionLinearInterpolator::setKeyCount(). Referenced by readRotationInterpolator().

RotationInterpolator * Lamp::BinaryAnimationLoader::readRotationConstantInterpolator | ( |  | ) | `[protected, virtual]`

| 回転定数補間の読み込み Returns: 回転定数補間 Definition at line 544 of file BinaryAnimationLoader.cpp. References reader_, Lamp::BinaryReader::readFloat(), readQuaternion(), Lamp::RotationConstantInterpolator::setLength(), and Lamp::RotationConstantInterpolator::setQuaternion(). Referenced by readRotationInterpolator().

RotationInterpolator * Lamp::BinaryAnimationLoader::readRotationInterpolator | ( |  | ) | `[protected, virtual]`

| 回転補間の読み込み Returns: 回転補間 Definition at line 523 of file BinaryAnimationLoader.cpp. References ErrorOut, Lamp::Reader::getPosition(), NULL, reader_, readEulerArrayInterpolator(), Lamp::BinaryReader::readInt(), readQuaternionArrayInterpolator(), readQuaternionLinearInterpolator(), and readRotationConstantInterpolator(). Referenced by readCameraAnimationData(), readCharacterModelAnimationData(), and readSceneNodeAnimationData().

String Lamp::BinaryAnimationLoader::readString | ( |  | ) | `[protected, virtual]`

| 文字列の読み込み Returns: 文字列 Definition at line 431 of file BinaryAnimationLoader.cpp. References align(), Lamp::Reader::readBytes(), reader_, and Lamp::BinaryReader::readInt(). Referenced by load(), readAnimationSet(), readAnimationSetLink(), readCameraAnimation(), readCameraAnimationData(), readCameraAnimationLink(), readCharacterModelAnimation(), readCharacterModelAnimationData(), readCharacterModelAnimationLink(), readHeader(), readSceneNodeAnimation(), readSceneNodeAnimationData(), and readSceneNodeAnimationLink().

Vector3 Lamp::BinaryAnimationLoader::readVector3 | ( |  | ) | `[protected, virtual]`

| 三次元ベクトルの読み込み Returns: 三次元ベクトル Definition at line 453 of file BinaryAnimationLoader.cpp. References Lamp::Vector3::array, Lamp::Reader::readBytes(), and reader_. Referenced by readEulerArrayInterpolator(), readVectorArrayInterpolator(), readVectorConstantInterpolator(), and readVectorLinearInterpolator().

VectorInterpolator * Lamp::BinaryAnimationLoader::readVectorArrayInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル配列補間の読み込み Returns: ベクトル配列補間 Definition at line 498 of file BinaryAnimationLoader.cpp. References reader_, Lamp::BinaryReader::readInt(), readVector3(), Lamp::VectorArrayInterpolator::setSize(), and Lamp::VectorArrayInterpolator::setValue(). Referenced by readVectorInterpolator().

VectorInterpolator * Lamp::BinaryAnimationLoader::readVectorConstantInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル定数補間の読み込み Returns: ベクトル定数補間 Definition at line 488 of file BinaryAnimationLoader.cpp. References reader_, Lamp::BinaryReader::readFloat(), readVector3(), Lamp::VectorConstantInterpolator::setLength(), and Lamp::VectorConstantInterpolator::setValue(). Referenced by readVectorInterpolator().

VectorInterpolator * Lamp::BinaryAnimationLoader::readVectorInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル補間の読み込み Returns: ベクトル補間 Definition at line 469 of file BinaryAnimationLoader.cpp. References ErrorOut, Lamp::Reader::getPosition(), NULL, reader_, Lamp::BinaryReader::readInt(), readVectorArrayInterpolator(), readVectorConstantInterpolator(), and readVectorLinearInterpolator(). Referenced by readCameraAnimationData(), readCharacterModelAnimationData(), and readSceneNodeAnimationData().

VectorInterpolator * Lamp::BinaryAnimationLoader::readVectorLinearInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル線形補間の読み込み Returns: ベクトル線形補間 Definition at line 508 of file BinaryAnimationLoader.cpp. References reader_, Lamp::BinaryReader::readFloat(), Lamp::BinaryReader::readInt(), readVector3(), Lamp::VectorLinearInterpolator::setKey(), and Lamp::VectorLinearInterpolator::setKeyCount(). Referenced by readVectorInterpolator().

The documentation for this class was generated from the following files:

- BinaryAnimationLoader.h
- BinaryAnimationLoader.cpp